Get all wallets
curl --request GET \
--url https://api-m.sandbox.paypal.com/v1/commerce/billing/wallets \
--header 'Authorization: Bearer <token>'{
"wallets": [
{
"external_customer_id": "client-12345",
"status": "ACTIVE",
"rate_amount": "1.5",
"available_balance": {
"value": 120.35,
"currency_code": "USD"
},
"ongoing_usage": {
"value": 100,
"currency_code": "USD"
},
"net_balance": {
"value": 50,
"currency_code": "USD"
},
"name": "Prepaid Wallet",
"available_credits": "28.0",
"ongoing_usage_credits": "10.0",
"net_balance_credits": "18.0",
"consumed_credits": "2.0",
"created_at": "2025-01-01T00:00:00Z",
"expiration_at": "2025-01-01T00:00:00Z",
"terminated_at": "2025-01-01T00:00:00Z",
"applies_to": {
"fee_types": [
"SUBSCRIPTION"
]
},
"recurring_transaction_rules": [
{
"trigger": "THRESHOLD",
"method": "FIXED",
"paid_credits": "20.0",
"granted_credits": "10.0",
"interval": "MONTHLY",
"started_at": "2025-01-01T00:00:00Z",
"expiration_at": "2025-01-01T00:00:00Z",
"threshold_credits": "5.0",
"target_ongoing_balance": "200.0"
}
],
"id": "sub_01H3YT8P7Q5R3S1T2U0V4W9X8"
}
],
"metadata": {
"total_count": 123,
"total_pages": 123,
"current_page": 123
}
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "<string>",
"debug_id": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"value": "<string>",
"location": "<string>",
"issue": "<string>",
"description": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}Get all wallets
GET
/
wallets
Get all wallets
curl --request GET \
--url https://api-m.sandbox.paypal.com/v1/commerce/billing/wallets \
--header 'Authorization: Bearer <token>'{
"wallets": [
{
"external_customer_id": "client-12345",
"status": "ACTIVE",
"rate_amount": "1.5",
"available_balance": {
"value": 120.35,
"currency_code": "USD"
},
"ongoing_usage": {
"value": 100,
"currency_code": "USD"
},
"net_balance": {
"value": 50,
"currency_code": "USD"
},
"name": "Prepaid Wallet",
"available_credits": "28.0",
"ongoing_usage_credits": "10.0",
"net_balance_credits": "18.0",
"consumed_credits": "2.0",
"created_at": "2025-01-01T00:00:00Z",
"expiration_at": "2025-01-01T00:00:00Z",
"terminated_at": "2025-01-01T00:00:00Z",
"applies_to": {
"fee_types": [
"SUBSCRIPTION"
]
},
"recurring_transaction_rules": [
{
"trigger": "THRESHOLD",
"method": "FIXED",
"paid_credits": "20.0",
"granted_credits": "10.0",
"interval": "MONTHLY",
"started_at": "2025-01-01T00:00:00Z",
"expiration_at": "2025-01-01T00:00:00Z",
"threshold_credits": "5.0",
"target_ongoing_balance": "200.0"
}
],
"id": "sub_01H3YT8P7Q5R3S1T2U0V4W9X8"
}
],
"metadata": {
"total_count": 123,
"total_pages": 123,
"current_page": 123
}
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "<string>",
"debug_id": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"value": "<string>",
"location": "<string>",
"issue": "<string>",
"description": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}Authorizations
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Query Parameters
Page number
Number of records per page
Filter by external customer ID
Example:
"ext_cus_1234567890abcdef"
Was this page helpful?
⌘I